Page 1 of 1

v6.17.1.0 Two-step security and a bug fix

PostPosted: Sat Jun 13, 2020 10:45 pm
by Cymatic Support
This is the second new version released today.

This new version 6.17.1.0 includes the following:

  • The program is now fully compatible with 2-step authentication. You can use either the standard or minimal login options with 2-step authentication.
  • Streaming now works even with 2-step authentication. So there is no need to select polling anymore. Streaming is therefore now recommended for all users.
  • Previously on the ladder, the Last Trade column stopped being updated if the user had chosen to 'Show Last Trades in Stake Column'. Whereas now the last trade can be made to appear in both columns, if the user chooses not to hide the Last Trade Column, whilst also having chosen the setting to show the last trades in the stake column. Avoids confusion.

As usual, the software will automatically update itself to the new version next time you open it. :geek:

Re: v6.17.1.0 Two-step security and a bug fix

PostPosted: Wed Jun 17, 2020 3:10 pm
by pnr8uk
Hi Gavin

I have upgraded my Cymatic, however I am still getting errors when I try to switch to streaming, I have the error message about TwoStep not being available, I can't capture it as it disappears off my screen.

Is there a setting I need to tick somewhere?

Many thanks

Paul

Re: v6.17.1.0 Two-step security and a bug fix

PostPosted: Wed Jun 17, 2020 3:30 pm
by Jamesuesername
Im also having the same problem.

2020-06-17 16:15:35.396 2-Step Authentication is not compatible with streaming data. Please either deactivate 2-step Authentication in your Betfair account (via the website), or go to the Cymatic software settings and choose polling instead of streaming.

It was working for a few days, but suddenly it has stopped.

Re: v6.17.1.0 Two-step security and a bug fix

PostPosted: Wed Jun 17, 2020 4:06 pm
by pnr8uk
Thanks James that the message I get too, and mine was working really well I think yesterday.

Kind regards

Paul

Re: v6.17.1.0 Two-step security and a bug fix

PostPosted: Wed Jun 17, 2020 4:32 pm
by Cymatic Support
Are you using the Standard or the Minimal login?

Does the message appear immediately after login, or later on when you are changing races?

Re: v6.17.1.0 Two-step security and a bug fix

PostPosted: Wed Jun 17, 2020 4:49 pm
by Cymatic Support
I found the part of code where the error message is generated, but it should not have been reachable.

So please tell me what is the contents of your status tab. In particular, there will be a message that looks like this:

Error (BF_FormMain.streamingBegin).................

I need to know what is on that line. It will show me where the error came from.

Thanks

Re: v6.17.1.0 Two-step security and a bug fix

PostPosted: Thu Jun 18, 2020 12:01 am
by Jamesuesername
Im using standard login.

I was logged in for 2 hours before i got the error. I had a long api lock up for around 30 seconds, prices stopped refreshing. I switched to polling and the prices started to refresh again but when i tried to switch back to streaming that is when i got the error, so i continued my session on polling. Since then ive restarted cymatic, and everything seems to be back to normal.

Re: v6.17.1.0 Two-step security and a bug fix

PostPosted: Thu Jun 18, 2020 12:16 am
by Cymatic Support
Thank you Jamesuesername.

So the conclusion is that there was a temporary glitch at Betfair that caused their streaming service to go down, for some or possibly all users.

The Cymatic software accidentally showed the wrong error message when the streaming failed to connect. So that aspect is a bug in Cymatic and will be fixed in the next version of Cymatic (very soon). It was an old message that is not relevant anymore and should have been removed. Apologies for the confusion.

You were right to switch to polling whilst streaming was down. Good thinking.

Many thanks for reporting it.

:ugeek:

Re: v6.17.1.0 Two-step security and a bug fix

PostPosted: Sun Jun 21, 2020 7:01 pm
by Cymatic Support
This issue whereby the software displayed the wrong error message as mentioned above, was solved in the versions that were released over this weekend.

Thanks for bringing it to my attention.

:ugeek: